### Hierarchy

- Debugger

## Index

### Properties

- addToHistory
- apiUrl
- collapseAt
- currentItem
- data
- dataJson
- history
- historySize
- host
- isActive
- isOpen
- isRunning
- jsonLoaded
- jsonUrl
- maxLevel
- type
- viewerLabel

### Methods

- close
- componentDidLoad
- handleKeyDown
- onListItemClick
- open
- pause
- pushHistory
- render
- run
- setCurrentItem
- toggle

## Properties

### addToHistory

addToHistory: boolean = true

- Defined in debugger/debugger.tsx:12

### apiUrl

apiUrl: string

- Defined in debugger/debugger.tsx:23

### collapseAt

collapseAt: number

- Defined in debugger/debugger.tsx:29

### currentItem

currentItem: any

- Defined in debugger/debugger.tsx:21

### data

data: any

- Defined in debugger/debugger.tsx:20

### dataJson

dataJson: string

- Defined in debugger/debugger.tsx:24

### history

history: any[] = []

- Defined in debugger/debugger.tsx:10

### historySize

historySize: number = 100

- Defined in debugger/debugger.tsx:27

### host

host: HTMLElement

- Defined in debugger/debugger.tsx:14

### isActive

isActive: boolean = false

- Defined in debugger/debugger.tsx:16

### isOpen

isOpen: boolean = false

- Defined in debugger/debugger.tsx:17

### isRunning

isRunning: boolean = true

- Defined in debugger/debugger.tsx:18

### jsonLoaded

jsonLoaded: boolean = false

- Defined in debugger/debugger.tsx:19

### jsonUrl

jsonUrl: string

- Defined in debugger/debugger.tsx:25

### maxLevel

maxLevel: number

- Defined in debugger/debugger.tsx:28

### type

type: string = "uaas"

- Defined in debugger/debugger.tsx:26

### viewerLabel

viewerLabel: string = "Select a route to inspect"

- Defined in debugger/debugger.tsx:11

## Methods

### close

- close(): Promise<void>

- - Defined in debugger/debugger.tsx:108

  #### Returns Promise<void>

### componentDidLoad

- componentDidLoad(): void

- - Defined in debugger/debugger.tsx:31

  #### Returns void

### handleKeyDown

- handleKeyDown(e: any): boolean

- - Defined in debugger/debugger.tsx:74

  #### Parameters

  - ##### e: any

  #### Returns boolean

### onListItemClick

- onListItemClick(index: number, addToHistory?: boolean): void

- - Defined in debugger/debugger.tsx:64

  #### Parameters

  - ##### index: number

  - ##### Default value addToHistory: boolean = false

  #### Returns void

### open

- open(): Promise<void>

- - Defined in debugger/debugger.tsx:102

  #### Returns Promise<void>

### pause

- pause(): Promise<void>

- - Defined in debugger/debugger.tsx:125

  #### Returns Promise<void>

### pushHistory

- pushHistory(value: any): void

- - Defined in debugger/debugger.tsx:90

  #### Parameters

  - ##### value: any

  #### Returns void

### render

- render(): any

- - Defined in debugger/debugger.tsx:130

  #### Returns any

### run

- run(): Promise<void>

- - Defined in debugger/debugger.tsx:119

  #### Returns Promise<void>

### setCurrentItem

- setCurrentItem(index: number, addToHistory?: boolean): void

- - Defined in debugger/debugger.tsx:39

  #### Parameters

  - ##### index: number

  - ##### Default value addToHistory: boolean = true

  #### Returns void

### toggle

- toggle(): Promise<void>

- - Defined in debugger/debugger.tsx:114

  #### Returns Promise<void>